<html>
<head><title>MySQLi: Daten auslesen (prepared statements)</title></head>
<body>
	<?php
		//objektorientiert
		$db = new mysqli("localhost", "root", "", "bankleitzahlen");
		if ($db->connect_error) 
			{
				die("<p>MySQLi-Verbindungsaufnahme gescheitert: " .$db->connect_error ."</p>");
			}
		$sql = "SELECT * FROM de WHERE ort = 'Berlin'";
		$prep_state = $db->prepare($sql);
		$prep_state->execute();
    	$prep_state->bind_result($key, $bankleitzahl, $bezeichnung, $plz, $ort, $bic);
		$prep_state->store_result();
		$anzahl = $prep_state->num_rows;
		echo "<p>Die Abfrage hat $anzahl Datens&auml;tze gefunden:</p>";
				echo "<table width='100%' border='1'>
			  <tr><th>BLZ</th><th>Name</th><th>PLZ</th><th>Ort</th><th>BIC</th></tr>";
		while ($prep_state->fetch()) 
			{
				echo "<tr><td>" .$bankleitzahl ."</td><td>"
						.$bezeichnung ."</td><td>"
						.$plz ."</td><td>"
						.$ort ."</td><td>"
						.$bic ."</td></tr>";
			}
		$prep_state->free_result();
		$prep_state->close();
		$db->close();
		/*
		//prozedural
		$db = mysqli_connect("localhost", "root", "", "bankleitzahlen");
		if(empty($db))
			{
				die("<p>MySQLi-Verbindungsaufnahme gescheitert: " .mysqli_connect_error() ."</p>");
			}
		$sql = "SELECT * FROM de WHERE ort = 'Berlin'";
		$prep_state = mysqli_stmt_init($db);
		mysqli_stmt_prepare($prep_state, $sql);
		mysqli_stmt_execute($prep_state);
		mysqli_stmt_bind_result($prep_state, $key, $bankleitzahl, $bezeichnung, $plz, $ort, $bic);
		mysqli_stmt_store_result($prep_state);  
		$anzahl = mysqli_stmt_num_rows($prep_state);
		echo "<p>Die Abfrage hat $anzahl Datens&auml;tze gefunden:</p>";
				echo "<table width='100%' border='1'>
			  <tr><th>BLZ</th><th>Name</th><th>PLZ</th><th>Ort</th><th>BIC</th></tr>";
		while (mysqli_stmt_fetch($prep_state)) 
			{
				echo "<tr><td>" .$bankleitzahl ."</td><td>"
						.$bezeichnung ."</td><td>"
						.$plz ."</td><td>"
						.$ort ."</td><td>"
						.$bic ."</td></tr>";
			}
		mysqli_stmt_free_result($prep_state);
		mysqli_stmt_close($prep_state);
		mysqli_close($db);
		*/
	?>
</body>
</html>