<html>
<head><title>MySQLi: Daten eintragen mit prepared statements</title></head>
<body>
	<?php
		//objektorientiert
		if (isset($_POST['absenden']))
			{
				$db = new mysqli("localhost", "root", "", "bankleitzahlen");
				if ($db->connect_error) 
					{
						die("<p>MySQLi-Verbindungsaufnahme gescheitert: " .$db->connect_error ."</p>");
					}
				$db->query("CREATE TABLE IF NOT EXISTS pass(id int(11) auto_increment, name varchar(50), kennwort varchar(32), PRIMARY KEY (id))");
				$sql = "INSERT into pass(name, kennwort) VALUES (?, ?)";
				$prep_state = $db->prepare($sql);
				$prep_state->bind_param('ss', $name, $kennwort);
				$name = $db->real_escape_string(trim($_POST['name']));
				$kennwort = $db->real_escape_string(md5($_POST['kennwort'])); 
				$prep_state->execute();
				echo "<p>Zeile eingef&uuml;gt: " .$prep_state->affected_rows ."</p>";
				$prep_state->close();
				$db->close();
				/*
				//prozedural
				$db = mysqli_connect("localhost", "root", "", "bankleitzahlen");
				if(empty($db))
					{
						die("<p>MySQLi-Verbindungsaufnahme gescheitert: " .mysqli_connect_error() ."</p>");
					}
				mysqli_query($db, "CREATE TABLE IF NOT EXISTS pass(id int(11) auto_increment, name varchar(50), kennwort varchar(32), PRIMARY KEY (id))");
				$prep_state = mysqli_stmt_init($db);
				$sql = "INSERT into pass(name, kennwort) VALUES (?, ?)";
				mysqli_stmt_prepare($prep_state, $sql);
				mysqli_stmt_bind_param($prep_state, 'ss', $name, $kennwort);
				$name = mysqli_real_escape_string($db, trim($_POST['name']));
				$kennwort = mysqli_real_escape_string($db, md5($_POST['kennwort'])); 
				mysqli_stmt_execute($prep_state);
				$anzahl = mysqli_stmt_affected_rows($prep_state);
				echo "<p>Zeile eingef&uuml;gt: $anzahl</p>";
				mysqli_stmt_close($prep_state);
				mysqli_close($db);
				*/
			}

	?>
<p>Geben Sie Name und Kennwort ein:</p>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
<table>
<tr><td>Name:</td><td><input type="text" name="name"></td></tr>
<tr><td>Kennwort:</td><td><input type="password" name="kennwort"></td></tr>
<tr><td colspan="2" align="center"><input type="submit" name="absenden" value="Absenden"></td></tr>
</table>
</body>
</html>