<html>
<head><title>SQLite: Beispieldatenbank aufbauen, bef&uuml;llen und auslesen</title></head>
<body>
	<?php
		$dbname = "db.sqlite";
		//nur hier zum Testen: falls DB bereits besteht, wird sie gelscht
		if(file_exists($dbname)) 
			{
				unlink($dbname);
			}
		//Datenbank erstellen
		$db = sqlite_open($dbname);
		echo "<p>Datenbank $dbname wurde erstellt.</p>";
		//Tabelle erstellen
		sqlite_exec($db, "CREATE TABLE mitarbeiter (name VARCHAR(50), mail VARCHAR(50))");
		//Tabelle mit Datenstzen befllen
		sqlite_exec($db, "INSERT INTO mitarbeiter VALUES ('Anna', 'anna@herdt.com'); 
						   INSERT INTO mitarbeiter VALUES ('Maria', 'maria@herdt.com');
						   INSERT INTO mitarbeiter VALUES ('Paul', 'paul@herdt.com')");
		echo "<p>Es wurden " .sqlite_changes($db) ." Datens&auml;tze ge&auml;ndert.</p>";
		//Tabelle auslesen
		$abfrage = sqlite_query($db, "SELECT * FROM mitarbeiter");
		//Ergebnis darstellen
		while ($ergebnis = sqlite_fetch_array($abfrage)) 
			{
				echo "<p><i>- " .$ergebnis['name'] ." (" .$ergebnis['mail'] . ")</i></p>";
			}
	?>
</body>
</html>