<html>
<head><title>Ausnahmebehandlung: try - throw - catch</title></head>
<body>
	<?php
		function teile($zaehler, $nenner)
			{
				if($nenner == 0)
					{
						throw new Exception("Die Division durch 0 ist nicht definiert.");
					}
				if($nenner < 0)
					{
						throw new Exception("Heute keine negativen Zahlen im Nenner...");
					}
				if($zaehler >= 1000)
					{
						throw new Exception("Bitte maximal dreistellige Zahlen, mehr schaffe ich nicht...");
					}
				$ergebnis = ($zaehler / $nenner);
				return $ergebnis;
			}
		if(isset($_POST["absenden"]))
			{
				try
					{
						echo "<p>Das Ergebnis lautet: " .teile($_POST["zaehler"], $_POST["nenner"]) ."</p>";
					}
				catch (Exception $e)
					{
						echo "<p>getMessage: " .$e->getMessage() ."</p>";
						echo "<p>getCode: " .$e->getCode() ."</p>";
						echo "<p>getFile: " .$e->getFile() ."</p>";
						echo "<p>getLine: " .$e->getLine() ."</p>";
						echo "<p>getTraceAsString: " .$e->getTraceAsString() ."</p>";
						echo "<p>__toString: " .$e->__toString() ."</p>";
					}
			}
		else
			{
	?>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
<table>
<tr><td>Eingabe Z&auml;hler:</td><td><input type="text" name="zaehler"></td></tr>
<tr><td>Eingabe Nenner:</td><td><input type="text" name="nenner"></td></tr>
<tr><td colspan="2" align="center"><input type="submit" name="absenden" value="Berechnen"></td></tr>
</table>
<p>Folgende Einschrnkungen: 
	<ul>
		<li>Z&auml;hler < 1000</li>
		<li>Nenner <> 0</li>
		<li>Nenner nicht < 0</li>
	</ul>
Probieren Sie es aus, rufen Sie Fehler hervor!</p>
	<?php 
		}
	?>
</body></html>