<html>
<head><title>Fehlerbehandlung: set_error_handler</title></head>
<body>
	<?php
		set_error_handler('myHandler');
		function myHandler($code, $meldung, $datei, $zeile, $kontext) 
			{
				//###Variante 1: Ausgabe am Bildschirm
				echo "<p><strong>Eigene Fehlermeldung:</strong> Leider ist ein Fehler aufgetreten. Unser Team wurde benachrichtigt.
				<ul>
					<li>Datei: $datei</li>
					<li>Zeile: $zeile (Fehlercode: $code)</li>
					<li>Fehlermeldung: $meldung</li>
				</ul></p>";
				
				//###Variante 2: Mailversand mit Fehlerbeschreibung z. B. an Admin
				$body = "Fehler $meldung (Code: $code) in Datei $datei (Zeile $zeile), Uhrzeit:" 
					.date ("d-M-Y h:i:s", mktime()) ."\n\n" . print_r($kontext, TRUE);
				//Maildummy in der nchsten Zeile: Kommentar entfernen und Daten eingeben
				//mail("Mailadresse Adressat", "BETREFF", $body, "From: Absender");
				
				//###Variante 3: Fehler in einer Datei protokollieren
				$logData = date("d-M-Y H:i:s", mktime()) . ", $code, $meldung, $zeile, $datei\n";
				file_put_contents("web.log", $logData, FILE_APPEND);
			}
	
		////////////////////////////////verschiedene Fehler auslsen /////////////////////////
		// Fehleranzeige aktivieren
		// es werden alle Fehler angezeigt
		error_reporting(E_ALL);
		// erzeugt eine Benachrichtigung (notice), da Variable nicht definiert ist
		$variable++;
		// Aufruf einer veralteten Funktion (aus dem Bereich "regulre Ausdrcke")
		ereg("Suche", "Text");
		// erzeugt eine Warnung // Verbindung zu nicht existentem Server nicht mglich
		mysql_connect("local");
		// der Aufruf einer unbekannten Funktion (hier: "vertippt") erzeugt einen schweren Fehler
		myqsl_connect("local");
		// parse-error wird bei der Kompilierung entdeckt und damit als Erstes angezeigt
		//kommentieren Sie den Befehl in der nchsten Zeile aus, um andere Fehler zu testen
		//eco "Hallo!";
	?>
</body>
</html>