<?php
	class Auto
		{
			//Eigenschaften
			protected $marke;
			protected $modell;
			protected $geschwindigkeit = 0;
			protected $geschw_max;
			protected $bremsentemp = 20;
			//Methoden
			function __construct($marke, $modell, $geschw_max)
				{
					$this->marke = $marke;
					$this->modell = $modell;
					$this->geschw_max = $geschw_max;
				}
			function __destruct()
				{
					echo "<p>$this->marke ($this->modell) wurde von der Polizei angehalten und leider stillgelegt...</p>";
				}
			function beschleunigen($dauer)
				{
					$this->geschwindigkeit = $this->geschwindigkeit + ($dauer * 10);
					if($this->geschwindigkeit > $this->geschw_max)
						{
							$this->geschwindigkeit = $this->geschw_max;
						}
					echo "<p>$this->marke ($this->modell) beschleunigt $dauer Sekunden und f&auml;hrt jetzt $this->geschwindigkeit km/h.</p>";
				}
			function bremsen($dauer)
				{
					$this->geschwindigkeit = $this->geschwindigkeit - ($dauer * 5);
					if($this->geschwindigkeit < 0)
						{
							$this->geschwindigkeit = 0;
						}
					$this->bremsentemp += 5 * $dauer;	//hier alternativ in Kurzschreibweise
					if($this->bremsentemp > 150)
						{
							echo "<p><i>Autsch! Die Bremsen sind zu warm (Wert: $this->bremsentemp).</i></p>";
						}
					echo "<p>$this->marke ($this->modell) bremst $dauer Sekunden und f&auml;hrt noch $this->geschwindigkeit km/h.</p>";
				}
			//Erweiterung der Klasse
			function __clone()
				{
					$this->modell = "$this->modell - Klon";
				}
			function ausgabe()
				{
					echo "<p>Automarke: $this->marke<br>
						 Modell: $this->modell<br>
						 H&ouml;chstgeschwindigkeit: $this->geschw_max<br>
						 momentane Geschwindigkeit: $this->geschwindigkeit<br>
						 Bremsentemperatur: $this->bremsentemp</p>";
				}
		}
?>