<?php
	class VW extends Auto implements Power //implements: Erweiterung Aufgabe 6/7
		{
			//Eigenschaften
			private $haendler;
			private $wert;
			private $alter;
			private $sonderausstattung;
			private $vw_felgen = "nein";
			//Methoden
			function __construct($marke, $modell, $geschw_max, $alter, $sonderausstattung)
				{
					$this->alter = $alter;
					$this->sonderausstattung = $sonderausstattung;
					parent::__construct($marke, $modell, $geschw_max);
					echo "<p>Ein Objekt der Klasse VW wurde erstellt.</p>";
				}
			function beschleunigen($dauer)
				{
					$this->geschwindigkeit = $this->geschwindigkeit + ($dauer * 12);
					if($this->geschwindigkeit > $this->geschw_max)
						{
							$this->geschwindigkeit = $this->geschw_max;
						}
					echo "<p>Dieser VW beschleunigt gut. Er f&auml;hrt jetzt $this->geschwindigkeit km/h.</p>";
				}
			function bremsen($dauer, $variante = 0)
				{
					if($this->sonderausstattung == "ja" AND $variante > 0)
						{
							switch($variante)
								{
									case 1:
										$this->geschwindigkeit = $this->geschwindigkeit - ($dauer * 5) - 17;
										$this->bremsentemp += 5 * $dauer;	//hier alternativ in Kurzschreibweise
									case 2:
										$this->geschwindigkeit = $this->geschwindigkeit - ($dauer * 5) - 23;
										$this->bremsentemp += 4 * $dauer;	//hier alternativ in Kurzschreibweise
								}
						}
					else
						{
							$this->geschwindigkeit = $this->geschwindigkeit - ($dauer * 5);
							$this->bremsentemp += 5 * $dauer;	//hier alternativ in Kurzschreibweise
						}
					if($this->geschwindigkeit < 0)
						{
							$this->geschwindigkeit = 0;
						}
					if($this->bremsentemp > 150)
						{
							echo "<p><i>Autsch! Die Bremsen sind zu warm (Wert: $this->bremsentemp).</i></p>";
						}
					echo "Kindklasse: Getunter VW mit Sonderausstattung ($this->modell) bremst - mit Variante $variante - $dauer Sekunden und f&auml;hrt noch $this->geschwindigkeit km/h.</p>";
				}
			function MotorAn()
				{
					/*
					nicht in der Aufgabe enthalten, aber eine Kopplung mit allen Fahraktivitten ist denkbar
					Beschleunigen und Bremsen und etliches mehr nur mit laufendem Motor
					*/
					echo "<p>Das Fahrzeug startet den Motor.</p>";
				}
			function MotorAus()
				{
					echo "<p>Das Fahrzeug schaltet den Motor aus.</p>";
				}
			function LichtAn($dauer)
				{
					echo "<p>Das Fahrzeug schaltet f&uuml;r $dauer Minuten das Licht ein.</p>";
				}
				
		}
?>